// File boss1.h
// defines the first boss

#ifndef _BOSS1_H_
#define _BOSS1_H_

#include <GL/glut.h>
#include <stdlib.h>

class Boss1
{

  public:

    Boss1( void );
    Boss1( int t, float x, float y, float a );

    int get_type();
    void set_health( int amount );

    int get_health();
    int getMaxLife();
    float getX();
    float getY();
    float get_angle();
    float get_hitX();
    float get_hitY();
    int get_movement();
    void set_pos( float x, float y );
    void set_angle( float new_angle );
    void set_movement( int new_direction );

    void drawBoss1();

  private:

    int type;           // which boss to draw
                        // 0 = nothing
                        // 1 = level 1 boss
    int health;         // amount of life remaining
    float x_pos;
    float y_pos;
    float angle;

    float hitbox_x;     // area where bullet intersections will
    float hitbox_y;     //  cause damage

    int movement;       // is boss moving 0=left or 1=right
};

#endif
