// File bullet.h
// defines bullet properties

#ifndef _BULLET_H_
#define _BULLET_H_

#include <GL/glut.h>
#include <stdlib.h>

class Bullet
{
  public:

    Bullet( void );
    Bullet( int bullet_type, float xp, float yp, float xs, float ys, int p );

    float get_type();
    float get_x_pos();
    float get_y_pos();
    int get_power();

    void set_pos();

    void drawBullet();

  private:

    int type;     // specifies which graphic to draw
    float x_pos;  // position of the bullet
    float y_pos;
    float x_inc;  // how fast the bullet moves in
    float y_inc;  //  each direction

    int power;    // amount of damage a bullet does
  
};

#endif
