// File explosion.h
// defines explosion particle system, collection of particles

#ifndef _EXPLOSION_H_
#define _EXPLOSION_H_

#include <GL/glut.h>
#include <stdlib.h>

#include "particle.h"

class Explosion
{
  public:

    Explosion();
    Explosion( float x, float y );
    void update();
    void drawExplosion();
    float getX();
    float getY();

  private:

    #define MAX_PARTICLES 300
    Particle particles[MAX_PARTICLES];
    float x_pos;
    float y_pos;
};

#endif
