// File particle.h
// defines particles

#ifndef _PARTICLE_H_
#define _PARTICLE_H_

#include <GL/glut.h>
#include <stdlib.h>

class Particle
{
  public:

    Particle( void );
    Particle( float x, float y, bool activity );

    void set_tex( unsigned int* texList );

    void evolveParticle();
    void drawParticle();

  private:

    float lifetime;
    float decay;
    float r, g, b;
    float x_pos, y_pos, z_pos;
    float x_spd, y_spd, z_spd;
    bool active;
};

#endif
