// File player1.h
// Defines the model used for the player1 ship.

#ifndef _PLAYER1_H_
#define _PLAYER1_H_

#include <GL/glut.h>
#include <stdlib.h>

class Player1
{
  public:

    Player1( void );
    Player1( int s, int l );

    int getScore();
    int getLives();
    void setScore( int points );
    void setLives( int num );

    float getX();
    float getY();
    float getRoll();
    float get_hitX();
    float get_hitY();
    void setPos( float x, float y );
    void setRoll( int direction, int type );
    void remove_hitbox();

    void drawPlayer1();

  private:

    int score;
    int lives;

    float x_pos;
    float y_pos;
    float roll_angle;
    float hitbox_x;   // area around player which will destroy
    float hitbox_y;   //  the ship if hit by a projectile or wall
};

#endif
